Subject: BeroFTPD-1.3.3 configure prob. (HPUX 11.00)

From: "Elliott, Don (Exton, PA)" <[email-masked]>
Date: Thu, 25 Feb 1999 10:16:22 -0500

To all,

I thought that I may try once again to get some assistance with the
problem that I am having with running "configure" for BeroFTPD-1.3.3
under HPUX 11.00.

When running configure all appears normal until the following message
appears:

"checking if there is a ut_syslen field in the utmpx structure... no
checking how to determine wtmpx file... configure: error: Cannot find
out how to locate wtmpx file. Contact
[email-masked]."

I've included the tail-end of the config.log below with hopes that
someone may see something that can help me get past this problem

*******CONFIG.LOG begins here**********

configure:3710: checking if there is a ut_syslen field in the utmpx
structure
configure:3720: gcc -c -g -O2  conftest.c 1>&5
configure: In function `main':
configure:3716: structure has no member named `ut_syslen'
configure: failed program was:
#line 3712 "configure"
#include "confdefs.h"
#define _GNU_SOURCE
#include <utmpx.h>
int main() {
struct utmpx ut; ut.ut_syslen=0;
; return 0; }
configure:3739: checking how to determine wtmpx file
configure:3749: gcc -c -g -O2  conftest.c 1>&5
configure: In function `main':
configure:3745: `WTMPX_FILE' undeclared (first use in this function)
configure:3745: (Each undeclared identifier is reported only once
configure:3745: for each function it appears in.)
configure: failed program was:
#line 3741 "configure"
#include "confdefs.h"
#define _GNU_SOURCE
#include <utmpx.h>
int main() {
char *x=WTMPX_FILE;
; return 0; }
configure:3769: gcc -c -g -O2  conftest.c 1>&5
configure: In function `main':
configure:3765: `_PATH_WTMPX' undeclared (first use in this function)
configure:3765: (Each undeclared identifier is reported only once
configure:3765: for each function it appears in.)
configure: failed program was:
#line 3761 "configure"
#include "confdefs.h"
#define _GNU_SOURCE
#include <utmpx.h>
int main() {
char *x=_PATH_WTMPX;
; return 0; }
configure:3789: gcc -c -g -O2  conftest.c 1>&5
configure: In function `main':
configure:3785: `WTMPX_FILENAME' undeclared (first use in this function)
configure:3785: (Each undeclared identifier is reported only once
configure:3785: for each function it appears in.)
configure: failed program was:
#line 3781 "configure"
#include "confdefs.h"
#define _GNU_SOURCE
#include <utmpx.h>
int main() {
char *x=WTMPX_FILENAME;
; return 0; }

**************************************************
Don Elliott
UNIX Analyst
Unisource Worldwide Inc.
[email-masked]
610.280.5838